.wait{
    position: fixed;
    z-index: 100;
    top: 0rem;
    left: 0rem;
    height: 100%;
    width: 100%;
    overflow: hidden;
    background-color: darken($color-white,5);
    opacity: 1;
    &__content{
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        align-items: center; 
    }
    &__logo{
        position: relative;
        height: auto;
        font-size: 5rem;
        padding-top:2rem;
        padding-bottom:2rem;
        text-align:center;
    }  
    &__barre{
        height: 2.5rem;
        width: 80%;
        margin: auto;
        border-radius: 2rem;
        overflow: hidden;
        border: 1px solid darken($color-tertiaire , 30);
        & > div{
            height: 2.5rem;
            min-height : 2.5rem;
            position:relative;
            &::before{
                display: block;
                content:'';
                position:relative;
                background-color: $color-tertiaire;
                height: 2.5rem;
            }
            &::after{
                content: '';
                display:block;
                position:absolute;
                width: 100%;
                height: 100%;
                top:0%;
                text-align: center;
                color:$color-black;
                font-weight: 700;
                line-height: 2.5rem;
            }
        }
    }
    &__log{
        font-size: 1.8rem;
        font-weight: 300;
        text-align: center;
        padding: 2rem .3rem 2rem;
        height:auto;
    }
    &__fonctionnement{
        margin: .2rem;
        position: relative;
        width : 100%;
        height: auto;
        .stepFonctionnement{
            position:relative;
            margin: 0rem;
            top: 0rem;
            left: 0rem;
            width: 100%;
            opacity: 1;
            &__num{
                width: 5rem;
                height: 5rem;
                border-radius: 2.5rem;
                font-size: 2.5rem;
                line-height: 5rem;
            }
            &__container{
                background: transparent;
                flex-direction:column;
                left: -2.5rem;
                line-height: 4rem;
                padding: 2rem .1rem 2rem 3rem;
                i{
                    font-size: 5rem;
                    margin-right: 0rem;
                    color:$color-primaire;
                }
                span{
                    font-size: 1.8rem;
                }
            }
        } 
    }

    @media (min-width: 1200px) {
        .wait{
            &__content{
                width: 1180px;
                margin: auto;
            }
        }
    }

    @include animate-wait;
}